{
	"gamelibs": {
		"soft": [
			{
				"-name": "directx_Jun2010_redist",
				"-id": "19094",
				"d": "DirectX is the latest multimedia technology designed by Microsoft. Many games need DirectX to run properly. DirectX includes many important updates for Direct3D, DirectDraw, DirectPlay, DirectSound, DirectInput and more display, audio and system. ",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-1.png",
				"date": "2016-02-29",
				"size": "96.01MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/directx_Jun2010_redist.zip",
				"silent_mode": {
					"mode": 0,
					"compress": "yes",
					"cmd": "DXSETUP.exe",
					"param": ""
				},
				"installedInfo": [
					{
						"-os_version": "all",
						"parameter": [
							{
								"-type": "registry",
								"-value": "HKEY_LOCAL_MACHINE,SOFTWARE\\Microsoft\\DirectX,Version,REG_SZ,4.09.00.0904",
								"-compare": "exact"
							}
						]
					}
				]
			},
			{
				"-name": "dotnetfx35",
				"-id": "19096",
				"d": "Many new features are included in .NET Framework 3.0 such as Windows Workflow Foundation (WF), Windows Communication Foundation (WCF), Windows Presentation Foundation (WPF), and Windows CardSpace. .NET Framework 3.5 is incrementally designed based on these new features.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-1.png",
				"date": "2016-02-29",
				"size": "231.50MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/dotnetfx35.exe",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_32/win8_32/win10_32/win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "dotnet",
								"-value": "3.5",
								"-compare": ""
							}
						]
					}
				]
			},
			{
				"-name": "MSXML_3.0_SP7",
				"-id": "19098",
				"d": "Based on the previous MSXML 3.0 SP, Microsoft? XML Parser (MSXML) 3.0 SP7 is improved with a lot of defect fixes and security patch. All MSXML 3.0 will provide the following functions:HTTP Server security access.XSL transform (XSLT) and XML path language's (XPath) realise.Change of API used to realize XML (SAX2), including new SAX2 helper class which has a higher consistency with W3C and OASIS.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-2.png",
				"date": "2016-02-29",
				"size": "1.12MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/MSXML_3.0_SP7.msi",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "file",
								"-value": "C:\\Windows\\SysWOW64\\msxml3.dll",
								"-compare": "ignore_case"
							}
						]
					},
					{
						"-os_version": "winxp_32/win7_32/win8_32/win10_32",
						"parameter": [
							{
								"-type": "file",
								"-value": "C:\\WINDOWS\\system32\\msxml3.dll",
								"-compare": "ignore_case"
							}
						]
					}
				]
			},
			{
				"-name": "MSXML_4.0_SP3",
				"-id": "19099",
				"d": "MSXML 4.0 Service Pack 3 (SP3) totally replaced MSXML 4.0, MSXML 4.0 Service Pack 1 (SP1), and MSXML 4.0 Service Pack 2 (SP2), fixed a lot of security and reliability errors.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-2.png",
				"date": "2016-02-29",
				"size": "2.26MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/MSXML_4.0_SP3.msi",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "file",
								"-value": "C:\\Windows\\SysWOW64\\msxml4.dll",
								"-compare": "ignore_case"
							}
						]
					},
					{
						"-os_version": "winxp_32/win7_32/win8_32/win10_32",
						"parameter": [
							{
								"-type": "file",
								"-value": "C:\\Windows\\System32\\msxml4.dll",
								"-compare": "ignore_case"
							}
						]
					}
				]
			},
			{
				"-name": "NDP452-KB2901907-AllOS-ENU",
				"-id": "19102",
				"d": "Microsoft officially released .NET Framework 4.5.2 which is well compatible with the existed .NET Framework 4/4.5/4.5.1. It supports Vista SP2, Windows 7 SP1, Windows 8, Windows 8.1, Windows Server 2008 SP2, Windows Server 2008 R2 SP1, Windows Server 2012 and Windows Server 2012 R2.Developers can use Visual Studio 2013, Visual Studio 2012 or 3rd party IDE to produce applications that are .NET Framework 4.5.2 oriented.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-2.png",
				"date": "2016-02-29",
				"size": "66.76MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/NDP452-KB2901907-x86-x64-AllOS-ENU.exe",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": ""
				},
				"installedInfo": [
					{
						"-os_version": "win7_32/win8_32/win10_32/win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "dotnet",
								"-value": "4.5.2",
								"-compare": ""
							}
						]
					}
				]
			},
			{
				"-name": "openal",
				"-id": "19103",
				"d": "Main feature of OpenAL is coding in source object, sound buffer, and listeners. Source object includes a target pointing to buffer, speed, position and direction of sound, and strength of sound. Listeners object includes speed, position and direction of listener, and the overall gain of all sounds. Buffer includes 8 or 16 bits, single track or stereo audio data in PCM format, a performance engine used to do all necessary calculation such as distance decay, and Doppler effects, etc..",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-10.png",
				"date": "2016-02-29",
				"size": "790KB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/oalinst.exe",
				"silent_mode": {
					"mode": 0,
					"compress": "no",
					"cmd": "",
					"param": ""
				},
				"installedInfo": [
					{
						"-os_version": "winxp_32/win7_32/win8_32/win10_32",
						"parameter": [
							{
								"-type": "file",
								"-value": "C:\\WINDOWS\\system32\\OpenAL32.dll",
								"-compare": "ignore_case"
							}
						]
					},
					{
						"-os_version": "win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "file",
								"-value": "C:\\Windows\\SysWOW64\\OpenAL32.dll",
								"-compare": "ignore_case"
							}
						]
					}
				]
			},
			{
				"-name": "Microsoft.SilverLight",
				"-id": "19104",
				"d": "Microsoft SilverLight is a cross-browser and cross-platform plug-in, which brings the next generation media experience for the Web and abundant interactive application experience. As a browser enhancement module developed by Microsoft, it enables browser to render rich content via HTML. Microsoft SilverLight is compatible with IE 6, IE 7, Firefox 1.5.0.8+ and 2.0+.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-5.png",
				"date": "2016-02-29",
				"size": "5.99MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/Silverlight.exe",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_64",
						"parameter": [
							{
								"-type": "folder",
								"-value": "C:\\Program Files (x86)\\Microsoft Silverlight\\4.0.60831.0,NeedCmpVer",
								"-compare": "ignore_case"
							}
						]
					},
					{
						"-os_version": "winxp_32/win7_32/win8_32/win10_32",
						"parameter": [
							{
								"-type": "folder",
								"-value": "C:\\Program Files\\Microsoft Silverlight\\4.0.60831.0,NeedCmpVer",
								"-compare": "ignore_case"
							}
						]
					},
					{
						"-os_version": "win8_64",
						"parameter": [
							{
								"-type": "folder",
								"-value": "C:\\Program Files (x86)\\Microsoft Silverlight\\5.1.50428.0,NeedCmpVer",
								"-compare": "exact"
							}
						]
					},
					{
						"-os_version": "win10_64",
						"parameter": [
							{
								"-type": "folder",
								"-value": "C:\\Program Files (x86)\\Microsoft Silverlight\\4.0.60831.0,NeedCmpVer",
								"-compare": "exact"
							}
						]
					}
				]
			},
			{
				"-name": "VC2005SP1_x64",
				"-id": "19105",
				"d": "Microsoft Visual C++ 2005 Redistributable Package (x86) is a module which is used to run applications developed with Visual C++ on computer which does not install Visual C++ 2005. The software package install C Runtime (CRT), Standard C++, ATL, MFC, OpenMP and MSDIA library runtime components. For the libraries that support for parallel deployment pattern such as CRT, SCL, ATL, MFC and OpenMP, their runtime components install on local application buffer of Windows operating system that supports for side-by-side assemblies. The buffer is also called WinSxS folder.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-1.png",
				"date": "2016-02-29",
				"size": "3.05MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/vcredist_2005_x64.exe",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "vcfile",
								"-value": "2005",
								"-valueExt": "x64",
								"-compare": "x86"
							}
						]
					}
				]
			},
			{
				"-name": "VC2005SP1_x86",
				"-id": "19106",
				"d": "Microsoft Visual C++ 2005 Redistributable Package (x86) is a module which is used to run applications developed with Visual C++ on computer which does not install Visual C++ 2005. The software package install C Runtime (CRT), Standard C++, ATL, MFC, OpenMP and MSDIA library runtime components. For the libraries that support for parallel deployment pattern such as CRT, SCL, ATL, MFC and OpenMP, their runtime components install on local application buffer of Windows operating system that supports for side-by-side assemblies. The buffer is also called WinSxS folder.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-1.png",
				"date": "2016-02-29",
				"size": "2.59MB",
				"os": "0",
				"url": "http://universal.driver.160.com/universal/driver/DTLvcredist_2005_x86.exe",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_32/win8_32/win10_32/win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "vcfile",
								"-value": "2005",
								"-valueExt": "",
								"-compare": "x86"
							}
						]
					}
				]
			},
			{
				"-name": "VC2008SP1_x64",
				"-id": "19108",
				"d": "Microsoft Visual C++ 2008 SP1 Redistributable Package (x86) will install necessary runtime components for Visual C++, which will enable users to run applications developed with Visual C++ SP1 on computer that does not install Visual C++ 2008 SP1. The software package installs C Runtime (CRT), Standard C++, ATL, MFC, OpenMP and MSDIA library runtime components. For the libraries that support for parallel deployment pattern such as CRT, SCL, ATL, MFC and OpenMP, their runtime components install on local application buffer of Windows operating system that supports for side-by-side assemblies. The buffer is also called WinSxS folder.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-1.png",
				"date": "2016-02-29",
				"size": "4.65MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/vcredist_2008_x64.exe",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "vcfile",
								"-value": "2008",
								"-valueExt": "x64",
								"-compare": "x86"
							}
						]
					}
				]
			},
			{
				"-name": "VC2008SP1_x86",
				"-id": "19109",
				"d": "Microsoft Visual C++ 2008 SP1 Redistributable Package (x86) will install necessary runtime components for Visual C++, which will enable users to run applications developed with Visual C++ SP1 on computer that does not install Visual C++ 2008 SP1. The software package installs C Runtime (CRT), Standard C++, ATL, MFC, OpenMP and MSDIA library runtime components. For the libraries that support for parallel deployment pattern such as CRT, SCL, ATL, MFC and OpenMP, their runtime components install on local application buffer of Windows operating system that supports for side-by-side assemblies. The buffer is also called WinSxS folder.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-1.png",
				"date": "2016-02-29",
				"size": "3.94MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/vcredist_2008_x86.exe",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_32/win8_32/win10_32",
						"parameter": [
							{
								"-type": "vcfile",
								"-value": "2008",
								"-valueExt": "x86",
								"-compare": "x86"
							}
						]
					},
					{
						"-os_version": "win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "vcfile",
								"-value": "2008",
								"-valueExt": "x86",
								"-compare": "x64"
							}
						]
					}
				]
			},
			{
				"-name": "VC2010SP1_x64",
				"-id": "19110",
				"d": "Microsoft Visual C++ 2010 Redistributable Package installs runtime components for Visual C++ library, which will enable users to run applications developed with Visual C++ on computer that does not install Visual C++ 2010. This software package installs C Runtime (CRT), Standard C++, ATL, MFC, OpenMP and MSDIA library runtime components.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-1.png",
				"date": "2016-02-29",
				"size": "5.41MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/vcredist_2010_x64.exe",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "vcfile",
								"-value": "2010",
								"-valueExt": "x64",
								"-compare": "x86"
							}
						]
					}
				]
			},
			{
				"-name": "VC2010SP1_x86",
				"-id": "19111",
				"d": "Microsoft Visual C++ 2010 Redistributable Package installs runtime components for Visual C++ library, which will enable users to run applications developed with Visual C++ on computer that does not install Visual C++ 2010. This software package installs C Runtime (CRT), Standard C++, ATL, MFC, OpenMP and MSDIA library runtime components.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-1.png",
				"date": "2016-02-29",
				"size": "4.76MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/vcredist_2010_x86.exe",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_32/win8_32/win10_32/win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "vcfile",
								"-value": "2010",
								"-valueExt": "x86",
								"-compare": "x86"
							}
						]
					}
				]
			},
			{
				"-name": "VC2012_x64",
				"-id": "19112",
				"d": "Visual C++ Redistributable Package installs runtime components for Visual C++ library. These components are necessary when you want to run applications developed with Visual Studio 2012 on computer that does not install Visual Studio 2012. The package will install C Runtime (CRT), Standard C++, ATL, MFC, C++ AMP and OpenMP library runtime components.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-2.png",
				"date": "2016-02-29",
				"size": "6.83MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/vcredist_2012_x64.exe",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "vcfile",
								"-value": "2012",
								"-valueExt": "x64",
								"-compare": "x86"
							}
						]
					}
				]
			},
			{
				"-name": "VC2012_x86",
				"-id": "19113",
				"d": "Visual C++ Redistributable Package installs runtime components for Visual C++ library. These components are necessary when you want to run applications developed with Visual Studio 2012 on computer that does not install Visual Studio 2012. The package will install C Runtime (CRT), Standard C++, ATL, MFC, C++ AMP and OpenMP library runtime components.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-2.png",
				"date": "2016-02-29",
				"size": "6.23MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/vcredist_2012_x86.exe",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_32/win8_32/win10_32/win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "vcfile",
								"-value": "2012",
								"-valueExt": "x86",
								"-compare": "x86"
							}
						]
					}
				]
			},
			{
				"-name": "VC2013_x86",
				"-id": "19115",
				"d": "Visual C++ Redistributable Packages is used to install runtime components which are necessary when you want to run applications developed with Visual Studio 2013 on computer that does not install Visual Studio 2013. The software package installs runtime components for the following library: C Runtime (CRT), Standard C++, ATL, MFC, C++ AMP and OpenMP.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-2.png",
				"date": "2016-02-29",
				"size": "6.20MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/vcredist_2013_x86.exe",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_32/win8_32/win10_32/win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "vcfile",
								"-value": "2013",
								"-valueExt": "x86",
								"-compare": "x86"
							}
						]
					}
				]
			},
			{
				"-name": "xnafx31_redist",
				"-id": "19116",
				"d": "Some games are only running under XNA environment. Please install this program before running games.XNA Framework is built based on .NET Framework 2.0. with additional .NET framework that is specially designed on game development. On specified platform, the program can achieve to its best.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-2.png",
				"date": "2016-02-29",
				"size": "7.32MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/xnafx31_redist.msi",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "file",
								"-value": "C:\\Program Files (x86)\\Microsoft XNA\\XNA Game Studio\\v3.1\\Redist\\DX Redist\\DSETUP.dll",
								"-compare": "ignore_case"
							}
						]
					},
					{
						"-os_version": "winxp_32/win7_32/win8_32/win10_32",
						"parameter": [
							{
								"-type": "file",
								"-value": "C:\\Program Files\\Microsoft XNA\\XNA Game Studio\\v3.1\\Redist\\DX Redist\\DSETUP.dll",
								"-compare": "ignore_case"
							}
						]
					}
				]
			},
			{
				"-name": "xnafx40_redist",
				"-id": "19117",
				"d": "Some games are only running under XNA environment. Please install this program before running games. Note: Before installing XNA4.0, please make sure you have installed Microsoft .net Framework 4.0 or the later version. XNA Framework is built based on .NET Framework 2.0. with additional .NET framework that is specially designed on game development. On specified platform, the program can achieve to its best. XNA Framework is running on Common Language Runtime that has a special game management.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-2.png",
				"date": "2016-02-29",
				"size": "6.73MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/xnafx40_redist.msi",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "file",
								"-value": "C:\\Program Files (x86)\\Microsoft XNA\\XNA Game Studio\\v4.0\\Redist\\DX Redist\\DSETUP.dll",
								"-compare": "ignore_case"
							}
						]
					},
					{
						"-os_version": "winxp_32/win7_32/win8_32/win10_32",
						"parameter": [
							{
								"-type": "file",
								"-value": "C:\\Program Files\\Microsoft XNA\\XNA Game Studio\\v4.0\\Redist\\DX Redist\\DSETUP.dll",
								"-compare": "ignore_case"
							}
						]
					}
				]
			},
			{
				"-name": "PhysX_9.12.1031",
				"-id": "19118",
				"d": "NVIDIA provides separately PhysX physical acceleration driver v9.12.1031, which brings great convenience to those who don't want to update graphics driver but want to use latest PhysX physical acceleration driver.",
				"icon": "http://int.qudong.updrv.com/uploadfile/ad/softico/125-2.png",
				"date": "2016-02-29",
				"size": "25.49MB",
				"os": "0",
				"url": "http://webdlb.160.com/universal/driver/PhysX_9.12.1031_SystemSoftware.msi",
				"silent_mode": {
					"mode": 1,
					"compress": "no",
					"cmd": "",
					"param": "/q"
				},
				"installedInfo": [
					{
						"-os_version": "win7_64/win8_64/win10_64",
						"parameter": [
							{
								"-type": "registry",
								"-value": "HKEY_LOCAL_MACHINE,SOFTWARE\\AGEIA Technologies,PhysX Version,REG_DWORD,0x008b2cfe",
								"-compare": "ignore_case"
							},
							{
								"-type": "folder",
								"-value": "C:\\Program Files (x86)\\NVIDIA Corporation\\PhysX\\Engine",
								"-compare": "ignore_case"
							}
						]
					},
					{
						"-os_version": "winxp_32/win7_32/win8_32/win10_32",
						"parameter": [
							{
								"-type": "registry",
								"-value": "HKEY_LOCAL_MACHINE,SOFTWARE\\AGEIA Technologies,PhysX Version,REG_DWORD,0x008b2d07",
								"-compare": "ignore_case"
							}
						]
					}
				]
			}
		]
	}
}